net.sf.jasperreports.components.sort

## Enum FilterTypeBooleanOperatorsEnum

- java.lang.Object
- - java.lang.Enum<FilterTypeBooleanOperatorsEnum>
  - - net.sf.jasperreports.components.sort.FilterTypeBooleanOperatorsEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FilterTypeBooleanOperatorsEnum>, JREnum, NamedEnum

      public enum FilterTypeBooleanOperatorsEnum
      extends java.lang.Enum<FilterTypeBooleanOperatorsEnum>
      implements JREnum

  Version:
    $Id: FilterTypeBooleanOperatorsEnum.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Narcis Marcu (narcism@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IS_FALSE`
    `IS_NOT_FALSE`
    `IS_NOT_TRUE`
    `IS_TRUE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FilterTypeBooleanOperatorsEnum` | `getByEnumConstantName(java.lang.String name)`
    `static FilterTypeBooleanOperatorsEnum` | `getByName(java.lang.String name)`
    `static FilterTypeBooleanOperatorsEnum` | `getByValue(byte value)`
    `static FilterTypeBooleanOperatorsEnum` | `getByValue(java.lang.Byte value)`
    `java.lang.String` | `getName()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static FilterTypeBooleanOperatorsEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FilterTypeBooleanOperatorsEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IS_TRUE

          public static final FilterTypeBooleanOperatorsEnum IS_TRUE

    - #### IS_NOT_TRUE

          public static final FilterTypeBooleanOperatorsEnum IS_NOT_TRUE

    - #### IS_FALSE

          public static final FilterTypeBooleanOperatorsEnum IS_FALSE

    - #### IS_NOT_FALSE

          public static final FilterTypeBooleanOperatorsEnum IS_NOT_FALSE

  - ### Method Detail

    - #### values

          public static FilterTypeBooleanOperatorsEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FilterTypeBooleanOperatorsEnum c : FilterTypeBooleanOperatorsEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FilterTypeBooleanOperatorsEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getByName

          public static FilterTypeBooleanOperatorsEnum getByName(java.lang.String name)

    - #### getByEnumConstantName

          public static FilterTypeBooleanOperatorsEnum getByEnumConstantName(java.lang.String name)

    - #### getByValue

          public static FilterTypeBooleanOperatorsEnum getByValue(java.lang.Byte value)

    - #### getByValue

          public static FilterTypeBooleanOperatorsEnum getByValue(byte value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com